Get an application's deploy provenance mode
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/provenance-policy"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/provenance-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/provenance-policy \
--header 'Authorization: Bearer <token>'{
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "off",
"source": "application",
"application_mode": "off",
"organisation_mode": "off"
}Deploy Provenance
Get an application's deploy provenance mode
The deploy provenance mode the application’s deploys use and where it came from: the application’s own choice, the organisation’s default, or Ankra’s default. Requires pipelines.read.
GET
/
api
/
v1
/
org
/
applications
/
{application_id}
/
provenance-policy
Get an application's deploy provenance mode
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/provenance-policy"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/provenance-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/provenance-policy \
--header 'Authorization: Bearer <token>'{
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "off",
"source": "application",
"application_mode": "off",
"organisation_mode": "off"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
The application's effective mode.
The mode the application's deploys use.
Available options:
off, warn, enforce Available options:
application, organisation, default The application's own choice, null when none.
Available options:
off, warn, enforce, null The organisation's default, null when none.
Available options:
off, warn, enforce, null